## XUSER-Optionen

### Verwendung

Sie können XUSER mit Optionen aufrufen:

xuser [<options>] [set|clear|list]

XUSER-Optionen

<option> | Beschreibung
-A | Das Programm XUSER interpretiert die Angaben als ASCII8. Der Vorschlagswert für den Zeichensatz ist UTF-8.
-b <file_name> | XUSER liest die XUSER-Einträge aus der XUSER-Datei <file_name> ein. Siehe: XUSER-Einträge aus einer Datei einlesen
-c <domain>\<os_user> | nur auf Microsoft Windows Betriebssystembenutzer <os_user> in der Domäne <domain>, dessen XUSER-Eintrag geändert wird Um diese Option zu verwenden, benötigen Sie Administrationsrechte.
-d <database_name> | Name der Datenbankinstanz Wenn Sie keinen Datenbanknamen angeben, dann wird dem XUSER-Eintrag keine Datenbankinstanz zugeordnet.
-e <encryption> | nur in SAP-Systemen Art <encryption> der für die Verbindung mit der Datenbankinstanz verwendeten Verschlüsselung Zur Zeit können Sie nur den Wert SSL für <encryption> wählen. Wenn Sie keine Verschlüsselung verwenden, dann lassen Sie die Option weg.
-h | Anzeigen der Hilfe
-l <isolation_level> | Isolation-Level nur für Anwendungsprogramme Wenn Sie <isolation_level> nicht angeben, dann verwendet das Programm XUSER den Wert –1.
-n <database_computer> | Name des Rechners, auf dem die Datenbankinstanz läuft Zeichenkette mit maximal 64 Zeichen Beachten Sie die Groß- und Kleinschreibung. Wenn Sie <database_computer> nicht angeben, dann verwendet das Programm XUSER den lokalen Rechner.
-S <SQL_mode> | SQL-Modus Zeichenkette mit maximal 8 Zeichen Wenn Sie <SQL_mode> nicht angeben, dann verwendet das Programm XUSER den SQL-Modus INTERNAL.
-t <timeout> | Timeout-Wert in Sekunden Mögliche Werte: -1, <seconds>, 0 -1: Das Programm XUSER übernimmt den Vorschlagswert der Datenbankinstanz. 0: kein Timeout Wenn Sie <timeout> nicht angeben, dann verwendet das Programm XUSER den Wert –1.
-U <user_key> | Benutzerschlüssel des XUSER-Eintrags Zeichenkette mit maximal 18 Zeichen (UNICODE: 9 Zeichen) Beachten Sie die Groß- und Kleinschreibung.
-u <user_name>,<password> | Benutzername (Datenbankbenutzer oder DBM-Benutzer) und Kennwort Zeichenketten mit je maximal 18 Zeichen (UNICODE: 9 Zeichen) Wenn der Benutzername oder das Kennwort Kleinbuchstaben oder Sonderzeichen enthalten, dann schließen Sie diese in doppelte Hochkommas ein. Andernfalls wandelt das Programm XUSER Kleinbuchstaben automatisch in Großbuchstaben um.
-V | Anzeigen der Version des XUSER-Programms